Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.javafile.metadata
Class MethodMetadata

    java.lang.Object
      org.modeshape.sequencer.javafile.metadata.AbstractMetadata
          org.modeshape.sequencer.javafile.metadata.MethodMetadata

    public class MethodMetadata

extends AbstractMetadata

Represent the `MethodMetadata`

Nested Class Summary
`static class` | `MethodMetadata.Type`

Field Summary

Fields inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata
`ABSTRACT, FINAL, name, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT_FP, SYNCRHONIZED, TRANSIENT, VOLATILE`

Method Summary
`static MethodMetadata` | `constructorType(String name)`
`String` | `getId()`
`List<FieldMetadata>` | `getParameters()`
`List<String>` | `getParameterTypes()`
`FieldMetadata` | `getReturnType()`
`String` | `getReturnTypeName()`
`MethodMetadata.Type` | `getType()`
`static MethodMetadata` | `methodMemberType(String name)`
`void` | `setReturnType(FieldMetadata returnType)`

Methods inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata
`getAnnotations, getModifiers, getName, hasAbstractModifier, hasFinalModifier, hasNativeModifier, hasPrivateVisibility, hasProtectedVisibility, hasPublicVisibility, hasStaticModifier, hasStrictFPModifier, hasSynchronizedModifier, hasTransientModifier, hasVolatileModifier, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParameters

    public List<FieldMetadata> getParameters()

  Returns:
    parameters

### getParameterTypes

    public List<String> getParameterTypes()

  Returns:
    parameters

### getReturnType

    public FieldMetadata getReturnType()

  Returns:
    returnType

### getReturnTypeName

    public String getReturnTypeName()

### setReturnType

    public void setReturnType(FieldMetadata returnType)

  Parameters:
    `returnType` - Sets returnType to the specified value.

### getId

    public String getId()

### getType

    public MethodMetadata.Type getType()

### constructorType

    public static MethodMetadata constructorType(String name)

### methodMemberType

    public static MethodMetadata methodMemberType(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.